GET
/
catalog
/
product-sku
List product SKUs
curl --request GET \
  --url https://api.example.com/catalog/product-sku
import requests

url = "https://api.example.com/catalog/product-sku"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/catalog/product-sku', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "attributes": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "date_created": "<string>",
      "date_deleted": "<string>",
      "id": "<string>",
      "package_details": {},
      "price": 123,
      "shared_packaging": true,
      "spu_id": "<string>",
      "stock": 123,
      "taken": 123
    }
  ],
  "error": {
    "code": "<string>",
    "http_status": 123,
    "message": "<string>"
  }
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}

Query Parameters

spu_id
string

Filter by SPU ID (UUID)

price_from
integer

Minimum price

price_to
integer

Maximum price

shared_packaging
boolean

Filter by shared packaging

Response

OK

data
object[]
error
object